# Terminate sessions

Terminates all the user’s active sessions for this tenant. Note that running this call does not revoke valid access tokens or refresh tokens. See OIDC RP-Initiated Logout

Endpoint: GET /oidc/session/end

## Query parameters:

  - `client_id` (string)
    Recommended. Client ID initiating the logout request. If not passed, our default logout success page will be shown instead.

  - `id_token_hint` (string)
    Previously issued ID Token passed as a hint about the user's current authenticated session with the client.

  - `post_logout_redirect_uri` (string)
    Recommended. URI to which the user should be redirected after the logout has been performed. If not passed, our default logout success page will be shown instead. This URI must be configured in the client’s allowed redirect URIs.

  - `state` (string)
    Opaque value used to maintain state between the logout request and the post logout redirect URI (which will receive it via the state query parameter).

## Response 400 fields (application/json):

  - `message` (array, required)
    Example: "Bad request"

  - `error_code` (number, required)
    Example: 400

## Response 500 fields (application/json):

  - `message` (string, required)
    Example: "Something went wrong - Internal server error"

  - `error_code` (number, required)
    Example: 500


## Response 200 fields
